Bug 220938 - The system should notify the user that a device has been mounted read-only
The system should notify the user that a device has been mounted read-only
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
8
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-12-29 01:05 EST by Gantry York
Modified: 2015-03-03 17:31 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:02:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Disk check, select both checkboxes (10.21 KB, image/png)
2008-02-05 11:07 EST, Adnan Hodzic
no flags Details

  None (edit)
Description Gantry York 2006-12-29 01:05:33 EST
Description of problem:

When I plug my iAudio X5 (portable media player) into the USB port, there is a
filesystem panic and the filesystem is mounted as read-only.  I can not delete
or create files on the device (which renders it pretty useless).

I have tried plugging a Lexar USB jump drive into it and it works fine, so it is
not the USB port.

I've tried all the above with both SELinux on and off.  No difference.

I've also tried plugging the iAudio X5 into a windows box and it works fine
there (can create and delete files).

It is something unique about this iAudio X5 device and Linux/Fedora.


Version-Release number of selected component (if applicable):

Running iAudio X5 firmware 2.10e
iAudio has been contacted, but they were of little help.  I'm not sure they are
interested in supporting Linux to be honest.


How reproducible:


Steps to Reproduce:
1.  Plug iAudio X5 in
2.  Try to erase a file, won't work
3.  Try to create a file, won't work
  
Actual results:

Unable to create and erase files.

Expected results:

Able to create and erase files.

Additional info:

Here is the output from dmesg

...truncated for brevity...

FAT: Filesystem panic (dev sda1)
    fat_get_cluster: invalid cluster chain (i_pos 0)
FAT: Filesystem panic (dev sda1)
    fat_get_cluster: invalid cluster chain (i_pos 0)
FAT: Filesystem panic (dev sda1)
    fat_get_cluster: invalid cluster chain (i_pos 0)
FAT: Filesystem panic (dev sda1)
    fat_get_cluster: invalid cluster chain (i_pos 0)
FAT: Filesystem panic (dev sda1)
    fat_get_cluster: invalid cluster chain (i_pos 0)
usb 1-2: USB disconnect, address 10
usb 1-2: new full speed USB device using uhci_hcd and address 11
usb 1-2: configuration #1 chosen from 1 choice
hub 1-2:1.0: USB hub found
hub 1-2:1.0: 7 ports detected
usb 1-2.4: new full speed USB device using uhci_hcd and address 12
usb 1-2.4: configuration #1 chosen from 1 choice
scsi7 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 12
usb-storage: waiting for device to settle before scanning
  Vendor: LEXAR     Model: JUMPDRIVE         Rev: 1.10
  Type:   Direct-Access                      ANSI SCSI revision: 01 CCS
SCSI device sda: 251904 512-byte hdwr sectors (129 MB)
sda: Write Protect is off
sda: Mode Sense: 23 00 00 00
sda: assuming drive cache: write through
SCSI device sda: 251904 512-byte hdwr sectors (129 MB)
sda: Write Protect is off
sda: Mode Sense: 23 00 00 00
sda: assuming drive cache: write through
 sda: sda1 sda2 < >
sd 7:0:0:0: Attached scsi removable disk sda
sd 7:0:0:0: Attached scsi generic sg0 type 0
usb-storage: device scan complete
SELinux: initialized (dev sda1, type vfat), uses genfs_contexts
usb 1-2.4: USB disconnect, address 12
usb 1-2.4: new full speed USB device using uhci_hcd and address 13
usb 1-2.4: configuration #2 chosen from 1 choice
scsi8 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 13
usb-storage: waiting for device to settle before scanning
  Vendor: TOSHIBA   Model: MK3006GAL         Rev: BY10
  Type:   Direct-Access                      ANSI SCSI revision: 00
SCSI device sda: 58605120 512-byte hdwr sectors (30006 MB)
sda: Write Protect is off
sda: Mode Sense: 00 4a 00 00
sda: assuming drive cache: write through
SCSI device sda: 58605120 512-byte hdwr sectors (30006 MB)
sda: Write Protect is off
sda: Mode Sense: 00 4a 00 00
sda: assuming drive cache: write through
 sda: sda1
sd 8:0:0:0: Attached scsi disk sda
sd 8:0:0:0: Attached scsi generic sg0 type 0
usb-storage: device scan complete
SELinux: initialized (dev sda1, type vfat), uses genfs_contexts
Comment 1 Gantry York 2006-12-29 02:37:58 EST
I have tried this both through a USB 2.0 hub and plugged directly into the USB
port on the computer.
Comment 2 Gantry York 2006-12-29 11:38:26 EST
It's also interesting to note that Bugzilla has not sent me an email
notification that I have submitted this bug, or that updates have been added to
this bug.
Comment 3 Thomas Woerner 2007-01-03 06:40:43 EST
Assigning to kernel.
Comment 4 cornel panceac 2008-01-05 03:31:40 EST
also happened to me with a 4 GiB kingston data traveler usb stick. i suspect
hardware failure on the stick or at least broken file system. here's the output
of tail -f /var/log/messages :

Jan  5 10:11:36 obi kernel: usb 1-1: new high speed USB device using ehci_hcd
and address 6
Jan  5 10:11:36 obi kernel: usb 1-1: configuration #1 chosen from 1 choice
Jan  5 10:11:36 obi kernel: scsi4 : SCSI emulation for USB Mass Storage devices
Jan  5 10:11:41 obi kernel: scsi 4:0:0:0: Direct-Access     Kingston
DataTraveler 2.0 PMAP PQ: 0 ANSI: 0 CCS
Jan  5 10:11:42 obi kernel: sd 4:0:0:0: [sdc] 8060928 512-byte hardware sectors
(4127 MB)
Jan  5 10:11:42 obi kernel: sd 4:0:0:0: [sdc] Write Protect is off
Jan  5 10:11:42 obi kernel: sd 4:0:0:0: [sdc] Assuming drive cache: write through
Jan  5 10:11:42 obi kernel: sd 4:0:0:0: [sdc] 8060928 512-byte hardware sectors
(4127 MB)
Jan  5 10:11:42 obi kernel: sd 4:0:0:0: [sdc] Write Protect is off
Jan  5 10:11:42 obi kernel: sd 4:0:0:0: [sdc] Assuming drive cache: write through
Jan  5 10:11:42 obi kernel:  sdc: sdc1
Jan  5 10:11:42 obi kernel: sd 4:0:0:0: [sdc] Attached SCSI removable disk
Jan  5 10:11:42 obi kernel: sd 4:0:0:0: Attached scsi generic sg3 type 0
Jan  5 10:11:43 obi hald: mounted /dev/sdc1 on behalf of uid 500
Jan  5 10:11:43 obi gnome-keyring-daemon[2223]: adding removable location:
volume_uuid_736F_4D1A at /media/KINGSTON
Jan  5 10:11:44 obi kernel: FAT: Filesystem panic (dev sdc1)
Jan  5 10:11:44 obi kernel:     fat_get_cluster: invalid cluster chain (i_pos 0)
Jan  5 10:11:44 obi kernel:     File system has been set read-only
Jan  5 10:11:44 obi kernel: FAT: Filesystem panic (dev sdc1)
Jan  5 10:11:44 obi kernel:     fat_get_cluster: invalid cluster chain (i_pos 0)
Comment 5 Jon Stanley 2008-01-07 20:47:35 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 6 cornel panceac 2008-01-07 23:45:56 EST
ok, this is still {t}here in f8 but, i've found out there are two different
copies of the FAT so i supose mounting it read only is the sane thing to do.
what may be considered a bug is that the user is not informed _why_ the
filesystem is mounted read only ....
Comment 7 Jon Stanley 2008-01-08 01:09:50 EST
Hmm....I'll change the version to F8, but this looks like filesystem corruption
or non-conformance to me - hence it's not 'safe' to mount it rw.  I'd be
interested in what an fsck (I think there's one for vfat) would do to this, with
the caveat that it could render the device unusable :(
Comment 8 Jon Stanley 2008-01-08 01:11:17 EST
Oops, forgot to change the version
Comment 9 cornel panceac 2008-01-08 10:34:59 EST
as i've said, fsck -t vfat shows there are two different copies of the FAT, so
indeed it's not safe to mount it rw. unfortunately i don't have the device
available to paste the exact output. still, it would have been nice to tell the
user __why__ it was mounted read only (or at least to let him know that this
happened), in current config, the device is just mounted.
Comment 10 Christopher Brown 2008-02-03 16:03:30 EST
(In reply to comment #9)
> as i've said, fsck -t vfat shows there are two different copies of the FAT, so
> indeed it's not safe to mount it rw. unfortunately i don't have the device
> available to paste the exact output. still, it would have been nice to tell the
> user __why__ it was mounted read only (or at least to let him know that this
> happened), in current config, the device is just mounted.

This is the job of dmesg, namely:

Jan  5 10:11:44 obi kernel: FAT: Filesystem panic (dev sdc1)
Jan  5 10:11:44 obi kernel:     fat_get_cluster: invalid cluster chain (i_pos 0)
Jan  5 10:11:44 obi kernel:     File system has been set read-only

I guess you're asking for a window pop-up of some kind if you're running in X?
If so I'd be happy to change the bug subject as an RFE as per:

http://fedoraproject.org/wiki/BugsAndFeatureRequests

Cheers
Chris

Comment 11 Adnan Hodzic 2008-02-05 11:07:29 EST
Created attachment 294009 [details]
Disk check, select both checkboxes 

Standard Windows disk check, select both checkboxes, let it finish even if it
takes hours, this should fix that "filesystem panic"
Comment 12 Adnan Hodzic 2008-02-05 11:09:49 EST
Ok,

I had the exactly same problem with WD Password 120GB External HDD, it was
formatted with fat32, once I just didn't umount it, and just pulled it out. Same
problems as you're saying, its filesystem would panic and it would report
read-only. 

HOWEVER, on Windows it would act normally. I first thought it was something due
to  permissions or something, but after I tried everything, and just before
formatting my hdd all over again.

BUT, that filesystem panic, gave me an idea. 

I fired up my virtual windows over vmware, selected to check for errors on that
same disk and selected to automatically fix all the errors. It took few hours,
but after it, it all simply worked! 

This may not be solution to your problem, but in my case it simply worked! 
Comment 13 Jon Stanley 2008-03-09 01:48:03 EST
Not sure what to do with this bug.  The kernel *does* inform the user that the
device is mounted read-only, via it's normal messaging systems (dmesg and
syslog).  If you'd like something in X to say so, I'm not even remotely sure
where to file this, I can check with some folks though.  Or can this just be closed?
Comment 14 Chuck Ebbert 2008-03-10 18:47:35 EDT
(In reply to comment #0)
> Description of problem:
> 
> When I plug my iAudio X5 (portable media player) into the USB port, there is a
> filesystem panic and the filesystem is mounted as read-only.  I can not delete
> or create files on the device (which renders it pretty useless).
> 

What tool are you using to create/delete files?
If it is nautilus then it should be able to tell that the filesystem is mounted
read-only...
Comment 15 Chuck Ebbert 2008-04-17 16:47:56 EDT
Changing to enhancement request for Nautilus to notify the user that the
filesystem is read-only.
Comment 16 cornel panceac 2008-04-18 13:12:44 EDT
thnx a lot
Comment 17 Bug Zapper 2008-11-26 02:07:52 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2009-01-09 02:02:49 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.